Available in VPC
Add a DB user to a Cloud DB for MySQL instance.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/addCloudMysqlUserList |
Request headers
For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudMysqlInstanceNo |
String | Required | Instance number of Cloud DB for MySQL
|
cloudMysqlUserList.N.name |
List[String] | Required | User ID list to add to the Cloud DB for MySQL instance
|
cloudMysqlUserList.N.hostIp |
List[String] | Required | List of IP addresses to access MySQL Server
|
cloudMysqlUserList.N.password |
List[String] | Required | DB user account password
|
cloudMysqlUserList.N.authority |
List[String] | Required | DB user permissions
|
cloudMysqlUserList.N.isSystemTableAccess |
Boolean | Optional | System table accessibility
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/addCloudMysqlUserList
?regionCode=KR
&cloudMysqlInstanceNo=****890
&cloudMysqlUserList.1.name=testuser
&cloudMysqlUserList.1.hostIp=%
&cloudMysqlUserList.1.password=********
&cloudMysqlUserList.1.authority=DDL' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The response example is as follows:
- If
responseFormatType=json
{
"addCloudMysqlUserListResponse": {
"requestId": "902109aa-****-****-****-820b816e07b2",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<addCloudMysqlUserListResponse>
<requestId>902109aa-****-****-****-820b816e07b2</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</addCloudMysqlUserListResponse>